<?php
/**
 * @copyright   Copyright (c) 2017 https://www.sapixx.com All rights reserved.
 * @license     Licensed (http://www.apache.org/licenses/LICENSE-2.0).
 * @author      pillar<ltmn@qq.com>
 * 收益记录表
 */
namespace app\ais\model;
use think\Model;

class AisBill extends Model{
    
    public function user(){
        return $this->hasOne('app\common\model\SystemUser','id','pay_uid');
    }

    /**
     * [log 增加财务日志]
     */
    public static function add(array $param,$message){
        $data['member_miniapp_id'] = intval($param['member_miniapp_id']);
        $data['uid']               = intval($param['uid']);
        $data['store_id']          = intval($param['store_id']);
        $data['money']             = money($param['money']);
        $data['message']           = $message;
        $data['update_time']       = time();
        return self::create($data);
    }
}